atapi_send_cdb
Prev | Chapter 5. libata Core Internals | Next

## Name

atapi_send_cdb — Write CDB bytes to hardware

## Synopsis

`void atapi_send_cdb (` | struct ata_port * | ap,
| struct ata_queued_cmd * | qc`)`;

## Arguments

`ap`

  Port to which ATAPI device is attached.

`qc`

  Taskfile currently active

## Description

When device has indicated its readiness to accept a CDB, this function is called. Send the CDB.

## LOCKING

caller.

Prev | Up | Next
ata_pio_sectors | Home | __atapi_pio_bytes